%define	upstream_name	 Data-DumpXML
%define	upstream_version 1.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:	Dump arbitrary perl data structures as XML
License: 	GPL+ or Artistic
Group: 		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0: 	http://www.cpan.org/authors/id/GAAS/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl-Array-RefElem
BuildRequires:  perl-MIME-Base64
BuildRequires:  perl-XML-Parser
BuildArch:	noarch

Requires: 	perl-Array-RefElem >= 0.02

%description
Dump arbitrary perl data structures as XML.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor 
make

%check
make test

%install
%makeinstall_std

%files
%doc README Changes
%{_mandir}/*/*
%{perl_vendorlib}/Data

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 1.60.0-7.mga6
+ Revision: 1024801
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 1.60.0-6.mga6
+ Revision: 940480
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.60.0-5.mga5
+ Revision: 750083
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.60.0-4.mga5
+ Revision: 684195
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.60.0-3.mga4
+ Revision: 510613
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.60.0-2.mga3
+ Revision: 365291
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 1.60.0-1.mga1
+ Revision: 33697
- mageia rebuild
- imported package perl-Data-DumpXML


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 1.60.0-1mdv2010.1
+ Revision: 406969
- rebuild using %%perl_convert_version

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.06-5mdv2009.0
+ Revision: 223592
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.06-4mdv2008.1
+ Revision: 180381
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Aug 28 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-28 15:14:59 (58463)
- mkrel

* Mon Aug 28 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-28 15:09:58 (58457)
Import perl-Data-DumpXML

* Wed Jun 15 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.06-2mdk
- Rebuild, add tests, spec fixes

* Wed Apr 21 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.06-1mdk
- 1.06

